TrueCafe. Friendly Internet Cafe Software. Documentation. Features

Website homepage

Friendly Cyber Cafe Software

Documentation

Features

TrueCafe is a distributed system. It consists of server and client software.

Server software is a center of cyber cafe maintenance. It provides pricing, customer and session management, payments, reporting and so on.

Client software blocks unauthorized access to terminals, displays statistics of a user's session and a list of applications a user can start after a terminal is unlocked.

Control a cyber cafe with ease
Utilize pre-paid tickets (time codes)
Provide Wi-Fi hotspot support (wireless billing)
Use license key (CD-key) management
Install on NComputing and Terminal Server
Automatically charge a customer for printing
Setup any complicated pricing
Protect terminals
Control terminals remotely
Chat with a customer
Manage terminals
Setup a point-of-sale
Use inventory system
Game console billing
Save power in your cyber cafe
Calculate Internet traffic and browse URL log
Limit Internet bandwidth
Use shifts to control your operators
Analyze the business data
Get online/email reports (Web Reports)
Backup your data and settings
Web Access

Control a cyber cafe with ease

All important information is displayed on one screen: the list of customers that you can create, edit, sell products to, drag-n-drop them on a terminal to start a session; the list/icons of workstaions you can arrange according to the real location of terminals in the club; session summary for a selected terminal; the list of active sessions. While managing a session, you can set/extend a time limit or pre-paid, add any product (printing, scanning, etc.), give a discount, print a receipt when a session is finished.

Read more

Utilize pre-paid tickets (time codes)

Create, print, sell, delete or recover pre-paid tickets. Distribute tickets among your employees (agents). Keep track of a ticket status. Delete all unused tickets. Use a ticket to top-up a customer session. Create promotional tickets.

Create tickets which your customer can only use on either Wi-Fi terminals or desktop PCs. This is useful when you provide different charge rates for Wi-Fi and dekstop sessions.

Read more

Provide Wi-Fi hotspot support (wireless billing)

Charge the customers of your cafe, club, shop, hotel, etc. when they connect their laptops, PDAs or any other mobile devices to your access point (Wi-Fi hotspot) and use the Internet to surf the web, read emails or chat via an instant messenger. Customize your Wi-Fi billing login and session info pages (show your cafe logo, etc.). Use white list feature to specify Wi-Fi billing exceptions.

Read more

Use license key (CD-key) management

Cut down your game licensing expenses using the CD-key management system. Purchase a quantity of licenses to cover a simultaneous gameplay vs. purchasing a license for every terminal where a game is installed. Valve Steam accounts integration is supported.

Read more

Install on NComputing and Terminal Server

Install TrueCafe on a multi-session platform such as NComputing host (www.ncomputing.com) or Windows Terminal Server. In this case a number of user sessions run on a host computer simultaneously. Each session is considered by TrueCafe as a separate virtual terminal with TrueCafe Client running. TrueCafe Server can be installed on either the same shared computer or a detached one.

Read more

Automatically charge a customer for printing

TrueCafe Printer Watcher software let you automatically charge a customer for printing on any printer in your cyber cafe, using a very precise method of calculating the exact number of document pages and copies. Use the print confirmation feature which notifies your customers how many pages they print and how much they are charged for the printing. You can also turn on the print control feature which means a customer can only print if he has enough money on his balance.

Read more

Setup any complicated pricing

Maybe the most flexible and convenient pricing setup you have ever seen. Configure pricing per minute, hour, an item or setup a table of fixed sums that are added to a bill; round amount of a service; setup taxing (included in or excluded of the price). Create a number of time zones with distinct pricing for each one. Setup amount-dependent pricing (e.g. 1 hour = $5, 2 hours = $7, etc.). Create service packages for each type of customers you have (standard customers, students, employees, VIP, etc.). Assign a package to a customer or select one while starting a session. Let your customers select pricing they prefer by providing them with "public" packages. Define a system of discounts that you can use from time to time.

Read more

Protect terminals

TrueCafe Client software locks a terminal until a customer logins to the system using his name/password or a cyber cafe administrator unlocks a terminal remotely. TrueCafe Client can be configured to auto-start when a computer starts, disable the Task Manager, hide the standard Desktop and Start Menu. You can setup a restricted set of applications a user can start from the TrueCafe Client (e.g. computer games). Also, TrueCafe Client displays session statistics (time, total sum, etc.) and allows a user to end his session. A user is warned via a message or custom sound file when critical amount of time/money is left. A user can order services/products such as drinks, snacks, etc. from his/her place. Restart a terminal when a session ends to rollback any changes made by a customer (providing that DeepFreeze software is installed). TrueCafe Server monitors every computer in a cyber cafe, keeps track of computers' state and saves changes into a system log.

Read more

Control terminals remotely

Get a terminal screenshot and the list of running processes. Terminate any process, start an application remotely. Control terminal sound volume, mute sound. Monitor your Internet cafe terminals state and get a notification when a terminal is off or TrueCafe Client is not running.

Read more

Chat with a customer

Use a build-in instant messenger to organize a chat between operator and a customer on any terminal. Send a text message to a terminal in order to notify your customers about an important event or provide them with any other information.

Read more

Manage terminals

Setup a terminal profile for any type of terminal (e.g. Internet station, game station, etc.). A terminal profile is a set of applications (the name and path on the disk) which are displayed in the TrueCafe Client and can be started by a user. You can remotely shutdown or restart any terminal, start any application on a remote terminal (enter the path on the disk or choose the application from a pre-defined list). Also, you can remotely change the TrueCafe Client security level (none, auto-start, disable Task Manager, hide Desktop and Start Menu).

Read more

Setup a point-of-sale

Sell products in your cyber cafe. Make a walk-in (anonymous) and member sales, select multiple items into a bill, add/remove items from a bill. Print a receipt on the receipt printer or any other printer. Make your unique receipt design.

Read more

Use inventory system

Control available amount of your items in the stock. Use your barcode scanner when you sell the items.

Read more

Game console billing

Use TrueCafe with your game consoles such as XBox, PlayStation, etc. (X10 modules are required).

Read more

Save power in your cyber cafe

Shutdown idle or all terminals by one click. Shutdown an idle terminal automatically after a few minutes of inactivity. Turn on a terminal remotely before starting a customer session.

Read more

Calculate Internet traffic and browse URL log

TrueCafe calculates amount of Intenet traffic for a user's session. You can use this simultaneously with your current Windows or Linux Internet (proxy) server. The cost of internal cyber cafe traffic is not included into a user's bill. You can change incoming/outgoing traffic coefficients, configure the list of ports that are used for filtering or setup any complicated traffic filter. URL log: keep track of the Internet websites and pages which a customer opens on your cyber cafe terminal.

Read more

Limit Internet bandwidth

You can specify some Internet bandwidth usage limit for every customer terminal. Depending on a pricing package, a bandwidth limit can be 64, 96, 128, etc. kbps or unlimited.

Read more

Use shifts to control your operators

Control your operators and cash flow using the shift management feature.

Every operator computer is considered as a cash desk so that each shift is linked to the corresponding cash desk. When an operator starts working with the program collecting any payment, starting/stopping customer sessions, etc., he has to start a shift. When he finishes working with the software, he stops his shift.

Read more

Analyze the business data

Use TrueCafe Reports to analyze your business data:
the list of customers detailed by sessions and services provided;
the list of services detailed by customers;
the list of sessions;
the list of system events (changes in the state of computers, the start/stop of the server, etc.).

Read more

Get online/email reports (Web Reports)

Analyze your business data in your web browser. Get access to your cyber cafe activity information outside the cafe from the Internet. Browse session, customer, service, terminal, etc. data for any period of time. View the diagrams which represent your business growth. Print any report on your printer for further analisis. Receive your Internet cafe reports automatically by email every day, every Monday or every 1st day of month.

Read more

Backup your data and settings

Backup and restore TrueCafe database and all system files. Configure a backup schedule to backup your data and settings automatically. Clean up the database.

Read more

Web Access

Sell tickets and top-up customer accounts remotely from your web browser. This is useful when you have an operator who sells tickets/tops up accounts from a separate computer (e.g. hotel reception) and doesn't have access to your TrueCafe Server computer.

Club map feature: setup the info display at your shop or cafe receiption so that an incoming customer can locate an available terminal himself.

Read more

TrueCafe. Friendly Internet Cafe Software
Copyright © 1999-2011 TrueCafe, Ltd.
All rights reserved.


TrueCafe. Friendly Internet Cafe Software. Documentation. System Requirements

Documentation

System Requirements

Operating system:

  • Windows XP
  • Windows Vista
  • Windows 7
  • Windows 2003 Server
  • Windows 2008 Server

Server requirements:

  • Processor: Intel Pentium 100 MHz or higher (P4 is recommended)
  • Memory: minimum 32 MB of RAM (512 MB is recommended)
  • Disk usage: 10 MB of hard disk space + about 30 MB space for database is recommended
  • Video: VGA or higher resolution monitor
  • Mouse is required

Client requirements:

  • Processor: Intel Pentium 100 MHz or higher (PI4 is recommended)
  • Memory: minimum 32 MB of RAM
  • Disk usage: about 2 MB of hard disk space

It is recommended to install Microsoft Data Access Components (MDAC) version 2.7 or later versions. Otherwise, the database upgrade might not work properly. MDAC is available for downloading from Microsoft web site:

Download MDAC 2.8


TrueCafe. Friendly Internet Cafe Software. Documentation. History

Documentation

History

Version 4.6 (Apr 2011)

Key new features:

  • Advertisement
  • Print options screen
  • Export to CSV
  • Custom ticket layout
  • Wi-Fi/Desktop customers
  • Cut tickets
  • Terminal security

Minor improvements:

  • Print monitor: correct copies number calculation
  • New operator access options: top-up customer accounts, start/extend sessions
  • No need to restart server any more when new tickets created
  • "Run as Administrator" not required to register the software
  • Sell items: fractional quantities
  • Daily report. An operator only sees his/her sales
  • WebReports. Printer friendly pages
  • Options value field size increased
  • Program error reports by email

Bugs fixed:

  • TrueCafe Client sometimes doesn't lock the terminal screen
  • "List index..." error when adding inventories

Version 4.5 (Jul 2010)

Key new features:

  • Web Access
  • Web Reports by email
  • Ping monitor
  • Scan customer documents
  • Club map
  • Session rounding
  • Ticket printer
  • Auto-login when Windows login = TrueCafe login
  • Lock screen when disconnected
  • Web Reports: Payload report

Minor improvements:

  • Tickets are available on the expiry date and disabled the next day
  • Ticket expiry date "today": sale/login date + 0 days
  • Auto-close pre-paid sessions stopped from the server side
  • Security options: change time/money and paid amounts
  • TrueCafe Client. Press Shift when you double click on a program icon to start it via "Run as... (administrator)"
  • Log outs list performance improvement
  • Wi-Fi billing: proxy 8080 and 3128 ports are supported
  • Copy application profiles
  • Web Reports. URL log

Bugs fixed:

  • Network driver can't be installed on Windows Vista/7/2008 64-bit versions
  • TrueCafe Client session window doesn't show up sometimes
  • Wi-Fi billing traffic counter resets when the info page refreshes
  • Ticket login mask isn't applied to "login = ID" tickets
  • Incorrect 1-minute rounding
  • "User not found" error when customer types extra spaces before/after login
  • Program registration on Windows 7 and Vista
  • Duplicated Wi-Fi sessions when a terminal IP is changed
  • Incorrect pre-paid amount starting a session for a terminal with the pricing coeff more than 1
  • Printing tickets on some receipt printer models ("division by zero" error)

Version 4.4 (Jul 2009)

Key new features:

  • Bandwidth management
  • Valve Steam support
  • Wi-Fi white list
  • Wi-Fi/Desktop tickets
  • Close programs delay
  • Top-up and ticket receipts

Minor improvements:

  • Auto connect terminals with TrueCafe Client installed, which haven't been added on the server side
  • Options. Change currency sign
  • Start session window. Select customer
  • Logouts list (instead of open sessions list)
  • Client. Locate TrueCafe Server
  • Client. Prevent starting a few Clients under the same Windows user account
  • Client. Network communication improvements
  • CD-Key management. Don't run program when no license available
  • Taxes. All prices and amounts include taxes
  • Receipt. Sale date section
  • Client. Reconnect to server (button)
  • Separate network channel for terminal data (screenshots / process list / etc.)
  • Performance improvements
  • Sales. Allow negative quantity
  • Don't ask the password starting a session from the server side (option)
  • Ticket top-up. Display customer as transaction owner
  • Tickets recover: administrator only
  • Wi-Fi. Display full redirect (domain + document + params) on the status page
  • Sale window. Display prices + tax
  • Sales report. Display shift operator
  • Rename main menu > View > Shift report -> Daily report
  • Client. Windows user name on the login window caption
  • Discount column in Web Reports, Sales report and Daily report
  • Hide private pricing packages on the customer window from non-Admin users
  • Display pricing package ID (main menu > Setup > Pricing)
  • Session & New session windows. Display terminal name in caption
  • Auto-close sessions option: any pre-paid by default

Bugs fixed:

  • Move session applies minimal charge more than once
  • Add time/money doesn't work well with decreasing pricing table
  • Server doesn't delete a wi-fi terminal when a session ends
  • Shift end_fact becomes NULL. Causes startup exception
  • Chat doesn't work well with dynamic IP terminals
  • Pause session doesn't work well with post-paid time limited sessions
  • URL log. URLs with more than 1024 characters corrupt the database
  • Client. Program shortcuts mix up when a few shortcuts have the same CD-key group (useful for Steam applaunch)
  • Client. Vista. Session info window isn't displayed sometimes
  • Client. Default app icon is not displayed on Vista
  • Client. Display "search path" programs icons (e.g. calc.exe, notepad.exe)
  • Client. Connection lost switching unlock > lock
  • Thin client terminals screenshots mix-up
  • Start/stop session sometimes fails when using remote screenshot
  • Setup fails on 64-bit Windows versions
  • Setup doesn't add firewalls exceptions on Vista
  • Vista. Restart server doesn't work

Version 4.3 (Sep 2008)

  • Shift management
  • Customer programs
  • TrueCafe Client connection wizard
  • Wi-Fi session timeout
  • Create promotional tickets
  • Get original website redirect link on the Wi-Fi login page
  • Sales report
  • View customer sessions from the customer window
  • Security. Hide logical drives on your terminals
  • Clean-up. Delete sales data
  • Select data folder when you install TrueCafe
  • Scripts. Run external programs when TrueCafe Client logs on/off

Version 4.2 (Apr 2008)

  • Wi-Fi hotspot support (wireless billing)
  • Terminal-dependent pricing
  • Ticket pricing wizard
  • Refunds
  • TrueCafe Client continues a session when terminal starts
  • Enable/disable TrueCafe Client buttons
  • Minimize TrueCafe Client session window
  • Time left warnings on the server side
  • Terminal screenshot security

Version 4.1 (Nov 2007)

  • Inventory
  • TrueCafe Client security
  • Printing confirmation
  • Ticket expiry date: fixed, sale + X days, login + X days
  • Ticket login mask
  • Terminal max sound volume
  • Keyboard shortcuts
  • Windows Vista support

Version 4.0 (Jun 2007)

  • License key (CD-key) management
  • NComputing and Terminal Server support: use TrueCafe on thin-client platforms
  • Web Reports: analyze your cyber cafe business data in your web browser
  • Instant Messenger: chat with a customer and send notification messages to a terminal
  • URL Log: keep track of the Internet websites and pages a customer opens on a terminal
  • Printer Watcher: block printing if not enough money left on a customer balance
  • Customer: assign a customer photo
  • Customer: credit limit
  • Administrator: pause/resume a customer session
  • Tickets: password options (length, numbers, letters)
  • Printer Watcher: session ID, print job status in log
  • Terminals: dynamic IP (DHCP) support
  • Sessions: session list, re-print a receipt
  • Database Cleanup: delete unused records of print, CD-key reservation or URL log
  • Restart a terminal when a session ends

Version 3.2 (Nov 2006)

  • Administrator: remote terminal screenshot, task manager, volume control
  • Administrator: ticket face value in the customer/ticket list
  • Administrator: terminal ping status in the list
  • TrueCafe Client: log off a customer session when a screensaver starts
  • TrueCafe Client: log off a customer session when Windows logoff/shutdown
  • TrueCafe Client: clear Internet Explorer History and Temporary Internet Files when log off
  • TrueCafe Client: connect/disconnect a dial-up connection when logon/logoff
  • TrueCafe Client: protect options with an unlocking code in registered version
  • Tickets: expiration date
  • Printer Watcher: distinct charge rates for monochrome and colour printing
  • Printer Watcher: extended terminal match: name -> ip -> name in LAN
  • Power Management: shutdown idle or all terminals in your cyber cafe, turn on a terminal remotely, automatically shutdown an idle terminal
  • Point-of-sale: check the customer balance before making a sale
  • Pricing: minimal charge, calculation improvements
  • Customer: user access improvements
  • Customer: highlight an account in the list with a background colour
  • Database Workshop: backup schedule
  • Cash and credit card payments accepted
  • Set default ticket name in options
  • Disable simultaneous login for any customer/ticket
  • Receipt: customer name section is added
  • Setup: add TrueCafe Windows Firewall exceptions
  • Language Editor is disabled in TrueCafe Client
  • Precise terminal icons movement

Version 3.1 (Aug 2006)

  • Tickets (time codes)
  • Point-of-sale: walk-in and member sales
  • TrueCafe Client: a customer can top-up his balance
  • TrueCafe Client: a customer can change his password
  • TrueCafe Client: perfect terminal locking
  • TrueCafe Client: set a background picture
  • TrueCafe Client: end running applications
  • Sessions: close sessions automatically
  • Sessions: pre-paid and post-paid sessions
  • Customer: specify pre-paid or post-paid method explicitly
  • Customer: calculate pre-paid account time left
  • Customer: top-up a balance
  • Customer: virtual cash
  • Daily report
  • Interface improvements: XP-styled icons
  • "Switch user" in main menu
  • Session list: customer age is displayed

Version 3.0 (Mar 2006)

  • Sessions: pre-paid and timers improvements
  • Pricing improvements. Time zones, rounding, taxing, etc.
  • Traffic calculation
  • POS. Receipt printing: Customized receipt (fonts, graphics, etc.)
  • Printer Watcher: automatically charge customers for printing
  • TrueCafe Client: order services/products remotely
  • TrueCafe Client: warn a customer when minimal time/money is left
  • TrueCafe Client: (demo version), unlock password (closetruecafe)
  • Main window interface improvements
  • Session summary: time, taxes, totals
  • Time/money left columns in the terminal list
  • Active sessions in the session list are highlighted
  • Move a customer from one terminal to another
  • Session dialog is displayed when session is stopped
  • Setup Wizard: helps you to configure TrueCafe at the first time
  • Database Workshop: system backup/restore
  • TrueCafe Server Manager is displayed if server is not running

Version 2.2 (Jul 2005)

  • Terminal remote shutdown, restart, application start
  • Terminal profiles, application management
  • TrueCafe Client: the application list
  • TrueCafe Client: security levels. Auto-start, disable Task Manager, hide Desktop and Start Menu.
  • "Snap to grid" when arranging terminals

Version 2.1 (Apr 2005)

  • New XP-styled interface
  • Pricing: public & private services
  • Pricing: discount for service packages
  • Pricing: service packages order
  • Pricing: services initial values
  • Language Editor
  • Database Workshop


TrueCafe. Friendly Internet Cafe Software. Documentation. Support

Documentation

Technical support

We provide full technical support on TrueCafe. If you have any questions, suggestions or comments on the system, please contact us by e-mail:

support@truecafe.net

For latest news and downloads related to our products please visit our website:

http://www.truecafe.net

Post your feedbacks to our forum:

http://www.truecafe.net/forum/

Contact us via MSN or Yahoo Messenger:

support@truecafe.net

Read TrueCafe RSS feed:

http://www.truecafe.net/rss.xml


TrueCafe. Friendly Internet Cafe Software. Documentation. Licensing

Documentation

Licensing

Demo version of TrueCafe allows to work with 4 terminals maximum.

To purchase a registered version please visit the order page.


TrueCafe. Friendly Internet Cafe Software. Documentation. Setup

Documentation

Setup. Step-by-step Guide

1. Install Server

Run TrueCafe installation program on your server/operator computer. Select the Server option to install the server components:

Click for full sized image
Full sized image

2. Run TrueCafe

Start TrueCafe: Windows Start > TrueCafe > TrueCafe

Use the default login/password = adm/adm:

Click for full sized image
Full sized image

3. Install Client

Run TrueCafe installation program on your terminal computer(s). Select the Client option to install the client components:

Click for full sized image
Full sized image

4. Connect Client to Server

Run TrueCafe Client when the installation ends or restart your computer and TrueCafe Client will start automatically. The first time it starts it displays the Connection wizard window:

Click for full sized image
Full sized image

Server IP: type IP address or host name of your server computer (a computer where TrueCafe Server software is installed).

Terminal type: select whether it's a desktop PC or a thin-client terminal (NComputing, Windows Terminal Service client, etc.)

Press the Next button and if you have specified your Server IP address correctly, TrueCafe adds the terminal icon on your server side.

If you get Network error 10061, try disabling your firewalls on both server and terminal sides, or add TrueCafeServer.exe program to your firewall exception list on the server side.

5. Login on Terminal

When you start your terminal computer, TrueCafe Client automatically starts, locks the terminal screen and displays the login window:

Click for full sized image
Full sized image

Use a customer login/password to start a session, e.g. your default administrative account - login/password = adm/adm. TrueCafe Client unlocks the screen and displays the session info window:

Click for full sized image
Full sized image

If you need to unlock your terminal screen (close down TrueCafe Client program), you have to leave login empty, type password = closetruecafe and press Enter.

What's next?

You could also create pre-paid tickets or setup your pricing or get to know more about pre-paid and post-paid customer sessions


TrueCafe. Friendly Internet Cafe Software. Documentation. Setup for thin clients

Documentation

Setup. Step-by-step Guide for Thin Clients

...such as NComputing (L130, L230, X300, etc.), Windows Terminal Server, etc.

1. Install Server

Run TrueCafe installation program on your server/operator computer. Select the Server option to install the server components:

Click for full sized image
Full sized image

2. Run TrueCafe

Start TrueCafe: Windows Start > TrueCafe > TrueCafe

Use the default login/password = adm/adm:

Click for full sized image
Full sized image

3. Install Client

Run TrueCafe installation program on your terminal host computer under administrative Windows account. Select the Client option to install the client components:

Click for full sized image
Full sized image

4. Connect Client to Server

Run TrueCafe Client when the installation ends or restart your computer and TrueCafe Client will start automatically. The first time it starts it displays the Connection wizard window:

Click for full sized image
Full sized image

Server IP: type IP address or host name of your server computer (a computer where TrueCafe Server software is installed). If you install TrueCafe Server and Client on the same host computer, you can use Server IP = 127.0.0.1.

Terminal type: select thin-client terminal.

Press the Next button and if you have specified your Server IP address correctly, TrueCafe adds the terminal icon on your server side.

If you get Network error 10061 , try disabling your firewalls on both server and terminal sides, or add TrueCafeServer.exe program to your firewall exception list on the server side.

5. Login on Terminal

When you start your terminal computer, TrueCafe Client automatically starts, locks the terminal screen and displays the login window:

Click for full sized image
Full sized image

Use a customer login/password to start a session, e.g. your default administrative account - login/password = adm/adm. TrueCafe Client unlocks the screen and displays the session info window:

Click for full sized image
Full sized image

If you need to unlock your terminal screen (close down TrueCafe Client program), you have to leave login empty, type password = closetruecafe and press Enter.

6. Optional: Unlock Server Screen

If you use your host computer for your administrator/operator, TrueCafe Client starts automatically when the user logs on and locks the screen so that an operator has to close TrueCafe Client every time. In order to stop TrueCafe Client from starting up automatically, you can apply a special registry file. Please contact us in order to get this file.

What's next?

More about thin client support

You could also create pre-paid tickets or setup your pricing or get to know more about pre-paid and post-paid customer sessions


TrueCafe. Friendly Internet Cafe Software. Documentation. Known issues

Documentation

Known Issues

Windows XP

TrueCafe Client may conflict with your language settings. Please ensure that Windows Control Panel > Regional Options> Text Services and Input Languages > Advanced > Extend support of advance text services to all programs options is turned off:

Skype

If you use TrueCafe Wi-Fi billing feature, it may conflict with Skype installed on your server. Open Skype main menu > Tools > Options > Advanced > Connections, disable Use port 80... option, and restart your server computer:


TrueCafe. Friendly Internet Cafe Software. Documentation. Upgrade

Documentation

Upgrade to New Version

In order to upgrade your current version of TrueCafe, uninstall your current version and install a new one. You have to upgrade both server and client software.

When you uninstall TrueCafe, it doesn't delete you database and settings.

TrueCafe database is upgraded automatically by Database Workshop utility when the installation is over. In case you get an error message upgrading the database, please download and install the latest version of Microsoft Data Access components

If you upgrade from version 4.0 or earlier:

1) Stop all TrueCafe services: Windows Conrol Panel > Administrative tools > Services

2) Open your old TrueCafe data folder, usually C:\Program Files\TrueCafe

3) Open your new TrueCafe working folder: TrueCafe main menu > Tools > Data Folder

4) Copy (overwrite) backup and db folders and .ini files from your old TrueCafe folder into the new one.

5) Run TrueCafe Database Workshop and update your database: Windows Start Menu > TrueCafe > Database Workshop

6) Start all TrueCafe services: Windows Conrol Panel > Administrative tools > Services


TrueCafe. Friendly Internet Cafe Software. Documentation. Server Manager

Documentation

Server Manager

TrueCafe Server Manager indicates whether TrueCafe Server is running and provides start/stop/restart functions.

Closing Server Manger does not stop TrueCafe Server.


TrueCafe. Friendly Internet Cafe Software. Documentation. Administrator

Documentation

Administrator

The main window contains:

  • main menu and toolbar
  • cyber cafe customer list (top left)
  • system log (bottom left)
  • terminal icons/list (center)
  • terminal toolbar with the "arrange terminals" and "list" buttons, start/stop/timer/refresh buttons
  • session summary for a selected terminal) (top right)
  • terminal screenshot, process list, volume control, etc. (bottom center)
  • customers' orders (bottom center)
  • log-outs (bottom right)

Terminal legend:

State | Icon | Meaning
Disabled |  | You can't start a session on this computer
Free |  | You can start a session on this computer
Occupied |  | A session is started
Warning |  | Minimal amount of time/money left

The "List" button switches main screen from terminal icons to the list:

Ping Monitor

Monitor your Internet cafe terminals state and get a notification when a terminal is off or TrueCafe Client is not running.


TrueCafe. Friendly Internet Cafe Software. Documentation. Administrator. Terminals and applications

Documentation

Terminals and Applications

Create, edit and delete terminals

Name field value is up to you.

Computer name field is optional. Specify a computer name (UNC) there if it differs from the Name field.

Assign a terminal static IP address or select the dynamic IP option.

Press the Receive MAC button after IP address is assigned and the terminal is on. TrueCafe uses the received MAC address to turn on the terminal remotely.

State: enable / disable terminal for TrueCafe administration.

Profile: select a pre-configured profile to display application and game icons in TrueCafe Client.

Price coeff: if you use terminal-dependent pricing, specify the pricing multiplier for this terminal. Price coeff = 1 by default, which means the base pricing isn't changed for the terminal. Read more

Use Virtual tab to configure a thin-client terminal such as NComputing or Windows Terminal Server one. Read more.

Arrange terminals

Move a terminal icon relatively to the real location of a terminal in your cyber cafe. Press the "Arrange terminals" button, drag and drop the terminal icons and press the "Arrange terminals" again to save the positions.

Shutdown or restart terminal. Start application

Use the terminal popup menu to remotely shutdown or restart terminals or start applications on a terminal:

You can choose an application to start from the application list of a terminal profile or enter a path manually:

Setup applications

You can configure a set of terminal profiles. Each profile contains a number of applications that a user can start. One profile can be assigned to many terminals. When TrueCafe Client starts, it loads a terminal profile and displays a tab set with applications. A user can run any application by double-clicking on an application icon.

Use the "Profiles" tab of the "Terminals" window to configure terminal profiles:

Set a tab name, a name and a start path (command line) for each application. You can use URL, email, shortcut (.lnk file), Internet-shortcut (.url file), document (.txt, .doc, .xls, etc. file) as an application path.

You can setup the alternative paths if the application has different paths on different terminals. Leave the path empty to hide the application on a particular terminal.

Note that only administrator or users with "Applications" security option checked can configure terminal profiles and start "Public" applications from TrueCafe Client.

Use the "Designer" window to change the positions of application icons on the screen and the size of application pane.


TrueCafe. Friendly Internet Cafe Software. Documentation. Administrator. Pricing

Documentation

Pricing

Pricing packages

You can setup individual time/traffic pricing for each type of your customers (general, students, VIPs, etc.). Create as many pricing packages as many types of customers you have.

Pricing properties

Pricing includes:

  • name on receipt, if different from the base name
  • pricing unit, which can be an item, minute, hour or fixed amount of money
  • startup fee, which is added once to a customer session when he/she starts using a service
  • round value and method: none, minimum, maximum, nearest (view examples)
  • taxing value and type: included in or excluded from the price
  • time zones with individual pricing for each zone
  • time zone role that specify whether customer is charged using the time zone when his session starts or each time zone that overlaps the session
  • fixed or tabular price for each time zone
  • minimal charge
  • test your pricing after making changes

Pricing setup examples

A few examples of pricing setup:

Your pricing | Pricing per | Round to | Round method | Price
$0.10 per 1 minute step = 10 minutes round to minimal | 1 Minute | 10 | Minimum |
first 30 minutes = $6.00 per hour next 30 minutes = $5.00 per hour next 60 minutes = $4.45 per hour next 120 minutes = $4.40 per hour calculate total sum to minutes | 1 Hour | 0 | None |
15 minutes = $5 30 minutes = $7 1 hour = $9 2 hours and more = $15 round to the nearest time | Fixed sum | 0 | Nearest |

Customer default pricing

You can assign a default pricing package to any customer:

If pricing isn't assinged, an operator chooses the package starting a session in TrueCafe Administrator, or a customer chooses the package starting a session in TrueCafe Client:

Only the "Public" packages are available for choosing.

Terminal pricing

You can use the terminal-dependent pricing feature if you need to change your base rate depending on the terminal type, e.g. general Internet terminal or fast gaming terminal.

Use the terminal settings to specify the price coeff of a terminal. Price coeff = 1 by default, which means the base pricing isn't changed for the terminal.

For example, if your basic rate is $5 per hour and the price rate of a terminal is 1.2, a customer is charged $5 * 1.2 = $6 per hour.

Discounts

You can use discounts to lower the price of any package. TrueCafe provides two types of discounts:

  • total - decreases the price of any service
  • service specific - decreases the price of the specified services only

Public services

A service marked as "Public", such as printing, scanning, etc., can be added to a customer session (terminal popup menu, the "Sell" item):


TrueCafe. Friendly Internet Cafe Software. Documentation. Administrator. Customers

Documentation

Customers

There are three types of customer accounts in TrueCafe:

1. Anonymous. This is a customer account which you can use for any customer.

2. Member. Any customer which has balance in your cyber cafe. You create member accounts manually.

3. Ticket (time code). Pre-generated account which can be sold to any customer. You generate a number of tickets for further use.

Customer account

Property | Meaning
Enabled | Whether this account can be used to login to cyber cafe terminal
Balance | Amount of money that is left on the account
Credit | Maximum amount (negative) which a customer owes your cyber cafe (negative). When a customer balance exceeds credit amount, neither a session can be started nor an item can be sold to the customer.
Pricing | Pricing package. If assigned, the customer can't select another one when logging in. Read more about pricing
Payment | Pre-paid or post-paid method Read more
Time left | Approximate amount of time left based on customer balance and selected pricing current rate
Colour box | Highlight a customer account in the customers list and the sessions list

Top-up (put some money) account

Select a customer in the list and press the "Top-up" button:

Enter amount of money to put onto account and amount of cash received (if differs), select the method of payment (cash, credit card):

Virtual cash

You can use the "virtual cash" concept to top-up an account without putting real money onto it. Virtual cash doesn't impact your financial reports.

Programs

Create a list of programs which a customer can start from TrueCafe Client. Use a customer pricing to select a program list for the corresponding customer type (main menu > Setup > Pricing > Pricing packages):

Security

Only a supervisor account (Adm) or a "User access administrator" can change user security settings.

Option | Meaning
Login | Can login into TrueCafe Administrator. Such users are highlighted by red in the customer list
Reports | Can login into TrueCafe Reports
User access administrator | Can change user security settings
Applications | Can configure terminal profiles and use "private" applications in TrueCafe Client
Terminal screenshot | View remote terminal screenshots
TrueCafe Client Management | Can close TrueCafe Client remotely
Max number of occupied terminals | How many terminals can be occupied using this account simultaneously
Inventory administrator | Configure inventory, add and remove items
Refunds | Make refunds
Change paid amount | Change the "Paid" amount value closing a session
Change time/money values | Specify custom time/money amounts starting/extending a customer session

The other options are:

  • Top-up customer accounts
  • Start sessions
  • Extend sessions

Terminal type: Specify whether a customer is allowed to log in to desktop or Wi-Fi or any terminals.

Adm account rule. Administrator account (Adm) security settings can be changed only by Adm himself. Administrator can change the security settings for any user account.

Login name rule. An operator can set an account login name when he creates a new user account. An operator can't change his own login name. An administrator and user security administrators can change any login name.

Password rule. An operator can set a password when he creates a new user account. Any user can change his password. An administrator and user security administrators can change any password.

Enable/disable account rule. Only administrator and user security administrators can enable/disable a user account.

Click for full sized image
Full sized image

Scan customer documents

Scan customer documents such as a photo, passport, driving license, etc. Click on the customer icon to scan a photo or use the Documents tab to scan any other documents.


TrueCafe. Friendly Internet Cafe Software. Documentation. Administrator. Tickets

Documentation

Tickets (Time Codes)

A ticket is a pre-generated customer account that can be printed, distributed, sold to a customer and then used by a customer to log in to a cyber cafe terminal or top-up his current balance.

Any ticket has one of the next state at any moment: created, printed, sold, in use, used up, deleted. A customer can log in to a terminal using a ticket which state is "sold" or "in use" only.

Open the ticket desktop for main ticket management operations. Use the state filter to display the tickets in particular state only.

Ticket ownership

Any ticket belongs to an employee, who only can sell it. You can generate tickets for each of your employee to let them distribute/sell tickets. If you set "anonymous" as a ticket owner, then a ticket is shared for all employees.

Create tickets

Press the "New" button to display "Create tickets" dialog.

1. Enter the tickets minutes.

2. Enter the tickets price.

3. Enter the number of tickets to create.

4. Set the expiry date (optional). You can select a fixed date, or a sale date + X days, or a first login date + X days.

5. Choose a login generation method: login = ticket id or login = random.

6. Select an onwer from the list of cyber cafe employees.

7. Specify if the tickets are promotional

Print tickets

Select a number or tickets in the list and press the "Print" button.

Specify whether you want to print a number of tickets on the same page (e.g. A4) or cut every ticket (1 page = 1 ticket). The latter approach is useful when you print tickets on the receipt printer.

Click for full sized image
Full sized image

You can put the printed tickets in your cash drawer and sell them to your customers.

You can also export the list of tickets to Microsoft Excel or CSV for further external professional design/printing.

Sell tickets online

Online sale means you register the sale at the same time as you give a ticket to a customer.

Select a ticket in the list on the main TrueCafe screen and press the "Sell" button. If "Print" is checked, the ticket is printed when the sale is made.

If you keep your tickets pre-printed (e.g. in a cash drawer), you can just enter a ticket number in the edit box and press the "Sell" button.

Sell tickets offline

Offline sale implies that you provide a customer with a ticket and register the sale a few later. For example, your agents may distribute printed tickets during a day and register all the sales in the evening.

Open the ticket desktop, select the sold tickets in the list and press the "Sell" button.

Use tickets to log in

Enter the login/password printed on a ticket on the TrueCafe Client Login dialog.

Use tickets to top-up balance

When a session is started, a customer can use a purchased ticket to top-up his balance in the TrueCafe Client:

Delete and recover tickets

Select tickets you want to delete and press the "Delete" button. If you need to recover a previously deleted ticket, select it and press the "Recover" button.

Use the "Delete all used up tickets" button to delete all tickets which have been completely used.

Promotional tickets

Use promo tickets to provide limited access for free in order to promote your shop, cafe, etc. When you sell a promo ticket, you don't actually collect any cash and the corresponding amount is only added to the promo totals (not cash totals) in the reports.

Wi-Fi/Desktop tickets

Create tickets which your customer can only use on either Wi-Fi terminals or desktop PCs. This is useful when you provide different charge rates for Wi-Fi and dekstop sessions.

Click for full sized image
Full sized image

Expiry date

When you create tickets you can specify an expiry date, e.g. a fixed date, sale + X days, login + X days. Tickets works on the date they expire, for example if the expiry date = 01 Jan, the ticket works on the 1st of Jan, but isn't available any more on the 2nd of Jan.

If you want to create a 1-day tickets, specify expiry date = login/sale date + 0 days.

Custom ticket layout

Customize your ticket print layout, add/remove captions, add your cafe logo, etc. Edit tickets.layout file in the TrueCafe folder. Preview ticket layouts.


TrueCafe. Friendly Internet Cafe Software. Documentation. Administrator. Sessions, Pre-paid, Timers

Documentation

Pre-Paid and Post-Paid Sessions

Pre-paid session has a time limit, based on a customer balance value and pricing current rate. Server automatically stop a pre-paid session when time is over.

Post-paid session doesn't have a time limit. A customer charged after he ends his session.

Customer starts session from terminal

Use a customer login/password to login. Only member sessions with positive balance can be started in this way. Anonymous sessions must be started on the server.

Read more about TrueCafe Client

Operator starts session from server

1. Anonymous session: double-click on a terminal icon.

2. Member session: drag-n-drop a customer from the customer list onto a terminal icon.

Select a pricing if none is set by default for the customer and enter a customer password if account is password-protected

1) Pre-paid. Add time if needed and collect corresponding amount of cash:

2) Post-paid. Set time limit if needed. No cash is collected:

You can customize time/money buttons in options.

Monitor sessions

Press the "List" button to switch between terminal icons and the session list:

Extend session (add time/money)

Press the "Add time/money" button to extend a session:

1) Pre-paid. Add time and collect corresponding amount of cash:

2) Post-paid. Set/extend time limit. No cash is collected:

Sell item (drink, snack, etc.)

Use the "Sell" terminal popup menu to add any service/product to a session:

Customer stops session

Use the "Log off" button in TrueCafe Client to stop your session.

Read more about TrueCafe Client

Operator stops session

Select terminal icon or session in the list and press the "Stop" button:

Close session

Opened sessions are displayed in the session list. Stopped sessions, which don't occupy the terminals, are highlighted in grey:

Double-click on a session, collect required cash (or accept a credit card), give change (or put it on the customer balance) and press the "Paid" button. Select the "Print receipt" before if needed:

A session can be closed automatically if:

- there is enough money on a customer balance and
- there are not any open orders

Use the "Close sessions" option to enable this feature.

Pause/resume session

You can pause any running customer session. A corresponding terminal is locked and a customer can't login via TrueCafe Client on this terminal until you resume the session.

You can also pause all active sessions or resume all paused sessions using TrueCafe main menu -> Tasks.

Browse sessions

Sessions window displays today/yesterday/this week/etc. customer sessions. Open sessions are marked with bold navy font.

You can use sessions window to print a receipt after a session has been closed and disappeared from the list of active sessions on the main screen.

Refunds

Use refunds when your customer returns you some purchased items or you have to rollback an entire customer session.

Refund feature is available on the sessions window (main menu > View > Sessions). You can only refund closed sessions. When a refund session is created, use the Delete button to leave the refund items only. Refund sessions are highlighted with red color in the list.


TrueCafe. Friendly Internet Cafe Software. Documentation. Shift Management

Documentation

Shifts

Control your operators and cash flow using the shift management feature.

Every operator computer is considered as a cash desk so that each shift is linked to the corresponding cash desk. When an operator starts working with the program collecting any payment, starting/stopping customer sessions, etc., he has to start a shift. When he finishes working with the software, he stops his shift.

When an operator starts a shift, he types in the program the cash amount he has in the cash desk for the moment. When he stops the shift, he types the final cash amount for the time.

Any differences between actual and calculated amount are highlighted with red in the shift report. Use View > Shifts report to browse the shifts.

You can start a shift manually (main menu Setup > Start / Stop shift) or automatically. Enable the shift control feature (main menu > Options > Shift control) so that an operator can't collect any payment unless his shift is started.


TrueCafe. Friendly Internet Cafe Software. Documentation. Administrator. Point of Sale

Documentation

Point of Sale

You can sell drinks, snacks and other products to your cyber cafe customers.

Walk-in sale

Use a walk-in sale for anonymous customers who don't use cyber cafe terminals. Click on the "Walk-in sale" button in the toolbar:

Select an item, enter quantity and press the "Add" button to add the item to bill. Double-click on a item to add it with quantity = 1. Double-click on an item in the bill or press the "Remove button to remote the item from the bill. Press "OK" when finished.

You can use the inventory system to control item Available amount or use your barcode scanner to sell the items.

Close the sale. Collect cash, give change and print a receipt if needed. Press the "Paid" button when finished.

Member sale

Member sale is like a walk-in sale, which is made for a particular member.

Select a customer in the list and press the "Sell" button:

If the member account is pre-paid and there is not enough money left on the balance, you will not be able to make the sale.


TrueCafe. Friendly Internet Cafe Software. Documentation. Administrator. Inventory

Documentation

Inventory

The inventory system helps you to...

  • Control available items in the stock
  • Use your barcode scanner to sell the items

Use main menu > Setup > Inventory to open the Inventory management screen:

Create items

Click on the New button and select the new inventory items from the list of services:

+ Items (Increase Amount)

Increase amount of a particular item in the stock.

Enter the item amount manually or use your barcode scanner for each item:

- Items (Decrease Amount)

Decrease amounts of a few items in the stock.

Select an item and enter the amount manually or use a barcode scanner:


TrueCafe. Friendly Internet Cafe Software. Documentation. Administrator. Instant Messenger

Documentation

Instant Messenger (Chat)

Organize a chat between operator and a customer on any terminal.

When a new message appears while the chat window is closed, the unread messages indicator is displayed in the toolbar.

Press Enter button to send a message. Press Esc button to close the chat window.

Send text message to terminal

Send a text message to a terminal in order to notify your customers about an important event or provide them with any other information.

Use a terminal popup menu -> Message if you want to send a message to a single terminal.

Use main menu -> Tasks -> Message to send the message to all terminals in your cyber cafe.


TrueCafe. Friendly Internet Cafe Software. Documentation. Administrator. License Key Management

Documentation

License Key (CD-Key) Management

Cut down your game licensing expenses using the CD-key management system. Purchase a quantity of licenses to cover simultaneous gameplay vs. purchasing a license for every terminal where a game is installed.

TrueCafe license key management works the following way. All your game keys are stored in the TrueCafe license key pool. When a customer starts a game on a terminal, TrueCafe dynamically reserves the next available key and send it to the terminal. When the game is ended, TrueCafe delete the reservation and returns the key to the pool.

Maintain license key list

Use the CD-key list (main menu -> Setup -> CD-Keys) to maintain your license key pool. Add, edit or delete your games and license keys.

Configure game list

You provide your game license keys to a customer via game shortcuts on TrueCafe Client programs panel. Use application profiles (main menu -> Setup -> Terminals -> Application tab) in order to assign your game license keys to game shortcuts.

Read more about application profiles

Use license keys

In order to request and apply a game license key, customers have to start the game from TrueCafe Client game panel:

If no available license key was found, a warning message is displayed to let a customer decide whether he is going to start the game anyway:

Browse and delete key reservations

To browse the currenlty reserved license keys and failed key reservations use main menu -> View -> CD-Key reservations.

You can manually delete any reservation if you have decided that the key should not be longer reserved by a particular terminal.

When deleting a reservation, a corresponding game process can be terminated as well. Use options to turn on this feature.

Steam by Valve Support

TrueCafe supports Steam game delivery system by Valve Corporation.

Read more


TrueCafe. Friendly Internet Cafe Software. Documentation. Administrator. Power Management

Documentation

Power Management

TrueCafe power management features allow you to saver power, which actually means to save money, in your cyber cafe.

Shutdown idle or all terminals

Shutdown idle or all terminals in your cyber cafe by one click in main menu (Tasks -> Shutdown...):

Shutdown idle terminals automatically

You can set a timer which turns off any idle terminal automatically after X minutes has gone. Use options to enable this feature.

Turn on terminal remotely

If a terminal is off and you need to start a customer session on it, you can turn it on remotely:


TrueCafe. Friendly Internet Cafe Software. Documentation. Administrator. Daily Report

Documentation

Daily Report

You can analyze your cyber cafe daily activity and financial information using a brief daily report. It displays top-ups, sales made, services provided, detailed log of actions and total cash received for selected period (today, yesterday, this week, last week, etc.). Also, you can export the data to MS-Excel or CSV for further analyzing.

Daily report for operator

When an operator runs the daily report, he/she only gets his/her sales and totals.


TrueCafe. Friendly Internet Cafe Software. Documentation. Administrator. Sales Report

Documentation

Sales Report

Sales report (main menu > View > Sales) displays detailed sales records and allows you to filter the list by customer, service, terminal and operator values.


TrueCafe. Friendly Internet Cafe Software. Documentation. Administrator. Traffic Calculation

Documentation

Traffic Calculation and URL Log

You can calculate and charge a customer session Internet traffic and monitor terminals' URLs. Use the TrueCafe Internet settings screen to turn on the traffic calculation or URL log features (main menu > Tools > Internet...):

URL Log

Keep track of the Internet websites and pages which a customer opens on your cyber cafe terminal. Use the terminal popup menu to browse the list of URLs for current session. Use main menu (View -> URL log) to display the total log.

URL log is data is stored in a detached database (TrueCafeTraffic.mdb)


TrueCafe. Friendly Internet Cafe Software. Documentation. Administrator. POS. Receipt

Documentation

Point-of-Sale. Receipt

Print a receipt when you close a session or sale, top-up a customer account, sell a ticket or extend a session.

A receipt consists of a number of sections. A section can be text, a picture (e.g. the cyber cafe logo), a service list, tax, sum total, etc. You can add, delete or modify any section, move a section up or down, change font and alignment, select a picture from disk to put on a receipt, underline a section.

Select a default printer for your receipts, setup a receipt position on paper (left, top), receipt width, section height and margins in millimetres, specify whether a receipt border is printed.

Also, you can modify a pre-defined labels such as "Total", "Tax", "Amount", etc., translating them into your own language (the "Labels" button), and print the test receipt.


TrueCafe. Friendly Internet Cafe Software. Documentation. Administrator. Options

Documentation

Options

General
Design
Buttons
TrueCafe Client
Tickets
CD-Keys
Keyboard
Scripts

Option | Meaning

General
Club name | Your cyber cafe club name
Language | TrueCafe interface language
Close sessions after log off | Automatically close a ticket- or any pre-paid sessions: update the customer balance and delete the session from the active sessions list
Disable multiple login | Don't allow simultaneous logins using a single account
Shift control | Enable shift control. Started shift is required to accomplish any transaction
Server. New session. Password required | A customer password is required to start a session from the server side
Rounding | Round total session amount. For example, if Rounding = 0.5 and the session total = 1.30, it's rounded to 1.50. Rounding disabled when = 0

Design
Display log | Display the system log pane
Display bottom pane | Display the bottom pane (remote terminal screenshot, orders, etc.)
Display session | Display the brief session info pane
Display tickets | Display the sale ticket pane
Accept orders automatically | Display the "Accept order" dialog when a new order is received
Refresh terminal/screenshot every X sec | How often a selected terminal screenshot, task list, etc. is refreshed
Refresh session every X min | How often the sessions pane is refreshed
Don't refresh when a dialog is being displayed | Prevents the session pane from being refreshed when a dialog window (start session, add time/money, etc.) is being displayed
Ping terminals each X sec | How often TrueCafe pings terminals and displays a ping status. We recommend keeping this value about 60 seconds or higher in order to avoid system slowdown

Buttons
Time/money warn when left | Mimimal amount of time/money left when warnings (colours, dialogs, sounds, etc.) are displayed
Time/money button 1, button 2, etc. | Amount of time/money that is added to a session when you press the corresponding button on the "Add time/money" dialog
Show time left warnings on the server side | Display warnings on the server side as well as on the client side

TrueCafe Client
Buttons | Enable/disable session screen buttons such as Chat, Order, Log Off, etc.
Login automatically when Windows login = TrueCafe login | Start TrueCafe customer session and unlock a terminal screen automatically when Windows user login is found in your TrueCafe customer list. This is helpful when all your customers have personal Windows user names so they don't need to login to TrueCafe when then login to Windows.
Minimize session window | Minimize the session window to the Windows taskbar when a customer logs on
Close running applications when a session ends | Automatically close all running applications on a terminal when a customer session ends
Close programs delay | When a customer session is stopped you can close running programs with some delay. Meanwhile the customer can add the extra time to his session and continue working with his programs
Clear History and Temporary Internet Files | Automatically clear Internet Exporer History and Internet Files folder on a terminal when a customer session ends
Log off when screensaver starts | Automatically log off a customer session when a screensaver starts on the terminal
Log off when Windows logs off or shutdown | Automatically log off a customer session when a customer logs off from Windows or shuts down the system
Restart terminal when session ends | Automatically restart a terminal when a customer session ends
Printing confirmation | Displayes the pages/charge confirmation dialog when a customer prints a document
Lock screen when network disconnected | Lock a terminal screen when network disconnection detected
Show time/money left dialog | Display the warning dialog to a customer when his session has critical amount of time/money left
Time/money left sound file | A warning sound file that is played to a customer when his session has critical amount of time/money left. Please note that this must be either a local path to a file on a terminal computer or a network path to a shared file(e.g. \\SERVER\SHARE\warning.wav)
Shutdown an idle terminal after X min | Shutdown a terminal after period of inactivity

Tickets
Printer | Ticket printer if not your Windows default one. For example, you can select your POS printer as your ticket printer
Ticket name by default | A name which is assigned to tickets when you create them
Login mask | Add preffix/postfix to a ticket login. When not empty, must contain %s (e.g. 200801%s). Login mask is used for login = random ticket generator option only.
Ticket terminal count limit by default | Default "Maximum number of occupied terminals" when you create tickets
Design | Ticket layout on a printed page
Password | Specify a password length, choose whether a password contains letters or numbers or both, select the upper or lower case and view an example

CD-Keys
Enable CD-Key management | Enable or disable CD-Key management system
Terminate process when you delete a reservation ...

Keyboard
Specify the commands to run when you press F2..F9 keys

Scripts
Run external programs when TrueCafe Client logs on/off. You can use customer_id, terminal_id, pricing_package_id command line parameters, which are replaced with actual values when the script is called.


TrueCafe. Friendly Internet Cafe Software. Documentation. Client

Documentation

Client

Lock terminal

TrueCafe Client locks a cyber cafe terminal.

Configure

Press the "Options" button to display the configuration pane, enter an IP-address of the computer where TrueCafe Server is installed.

Enter a background picture file name.

Select a dial-up connection if you want to connect/disconnect it when a customer logs on/logs off. This is useful in case you have a remote terminal connected via GPRS, etc.

You can change options freely in the demo version TrueCafe. The options are protected with the unlocking code in the registered version.

Background

Use the Background option to specify either a picture or web page to be displayed on the TrueCafe Client background when the terminal screen is locked, e.g:

C:\temp\picture1.jpg (local path on the terminal computer)

http://www.website.com (don't forget to specify http://)

Display session info

A terminal is unlocked when a customer enters his name/password or a cyber cafe operator starts a customer session remotely. When the terminal is unlocked, the session information window appears. A customer can top-up his balance using a ticket, change his password, order a snack/drink or stop the session.

Select pricing while logging in

When a customer is logging in, the "Service package" list might appear. This depends on pricing configuration and happens if a customer doesn't have a default pricing package and there are more than one "Public" pricing packages. Please read the Pricing topic for more information.

Protect terminal

You can use the following features to secure your terminals:

  • Hide Windows Start button
  • Hide Taskbar
  • Hide Desktop items
  • Disable Task Manager
  • Disable Registry Editor
  • Hide Tray items
  • Hide Log Off
  • Hide Shut Down
  • Hide Run
  • Disable Control Panel
  • Disable Windows hotkeys

Click for full sized image
Full sized image

Programs

If you assign a terminal profile to a terminal, then a tab set with the applications is displayed. Double-click on any icon to start the application:

Hold Shift button when you double click on a program icon to start the program via "Run as... (administrator)".

Warn before session is finished

When a customer session has a critical amount of time/money left, a warning dialog is displayed and/or a warning sound file is played. Use TrueCafe options to select your sound files to be played or specify whether the warning dialog must be displayed.

Printing confirmation

If the corresponding option is enabled, the confirmation dialog with pages/charge information is displayed when a customer prints a document.

Order drinks/snacks

Customers can order goods, drinks, etc. from computers where they sit. They select an item in the list of services you configure in pricing.

You can disable the "Order" button in TrueCafe options.

End session (log off)

A customer can press the "Log Off" button to end his session and lock the terminal. The terminal is locked as well when a cyber cafe operator remotely ends the customer session in TrueCafe Administrator.

Use TrueCafe options to utilize the next log off features:

1. Close all running applications in order to prevent any private customer data from further browsing by the next user.

2. Clear Internet Explorer Temporary Internet Files and History.

3. Log off a session when a customer make Windows log off or shutdown.

4. Log off a session when a screensaver starts.

Run log on/off script

Run external programs when TrueCafe Client logs on/off. You can use customer_id, terminal_id, pricing_package_id command line parameters, which are replaced with actual values when the script is called.

Specify script command lines in the options


TrueCafe. Friendly Internet Cafe Software. Documentation. Reports

Documentation

Reports

TrueCafe Reports provides 4 reports: customers, services, sessions and events. Each report is time-dependent, so you have to enter a start and stop dates (or check the "All time"). Press the "Refresh" button to run a report.

You can export any data table to Microsoft Excel for further analysis. by click on any data grid and pressing Ctrl-E hotkey.

Customers

  • Customers (the main list).
  • Balance operations (dependent).
  • Services provided (dependent).
  • Sessions and jobs (dependent).

Services

Services (main) and customers (dependent).

Sessions

Sessions (main) and jobs (dependent).

Events

System events:

  • Server state is changed.
  • Terminal state is changed.


TrueCafe. Friendly Internet Cafe Software. Documentation. Web Reports

Documentation

Web Reports

Analyze your business data in your web browser. Get access to your cyber cafe activity information outside the cafe from the Internet. Browse session, customer, service, terminal, etc. data for any period of time. View the diagrams which represent your business growth. Print any report on your printer for further analisis.

TrueCafe Web Reports is based on ASP.NET platform which means it requires Microsoft .NET framework 3.5 or later installed. Web Reports installs UltiDev Cassini Web Server which hosts Web Reports application.

Download Microsoft .NET framework

Download TrueCafe Web Reports

Start Web Reports from TrueCafe program group:

Navigation

Each report contains the header navigation pane which allows you to switch back to the main menu page, log out from Web Reports or select a period (today, yesterday, this week, last week, etc.) to display.

Report: Today

Displays today sessions, top-ups and services.

Report: Totals

Displays sessions, top-ups, promotional top-ups, services, etc. for a selected period. Income = top-up + post-paid.

Report: Customers

Displays customers with login, name, balance, etc.

Report: Tickets

Displays tickets with login, face value, balance, etc.

Report: Top-up

Displays customer balance top-ups.

Report: Sessions

Displays sessions: open / close dates, starting balance, minutes, amount, post-paid and whether a receipt was printed.

Report: Services

Displays services: units and amount.

Report: Terminals

Displays terminals: name, IP-address, minutes and amount.

Web Reports Access

An operator has to have the "Reports" option enabled in order to login to Web Reports:


TrueCafe. Friendly Internet Cafe Software. Documentation. Web Reports by Email

Documentation

Web Reports by Email

You can use free email providers such as Gmail, Hotmail or Yahoo Mail with your TrueCafe Web Reports.

Gmail

Set Address = smtp.gmail.com, Port = 587, Enable SSL options:

Click for full sized image
Full sized image

Hotmail

Unfortunately you have to login to Hotmail website before sending any emails, which makes this inconvenient for any email subscription, but anyway...

Set Address = smtp.live.com, Port = 25, Enable SSL options:

Click for full sized image
Full sized image

Yahoo Mail

You have to sign up for Yahoo Mail Plus in order to be able to use their SMTP server. Unfortunately we don't have such a subscription at the moment so please let us know if you have a chance to try it out. Thank you in advance!


TrueCafe. Friendly Internet Cafe Software. Documentation. Printer Watcher

Documentation

Printer Watcher

Printer Watcher automatically charges customers for printing on any printer in your cyber cafe. You can charge black-and-white and colour printing using different rates.

Install

Install Printer Watcher on a computer with a printer connected:

Start Printer Watcher Config application from TrueCafe Start Menu program group, enter TrueCafe server IP address and start service if it is stopped:

USB or Network printer?

USB printer: install TrueCafe Printer Watcher on the computer where your printer is connected to. Usually it makes sense to connect your printer to your TrueCafe Server computer.

Network printer: install your printer as a local one on the TrueCafe Server computer with Printer Watcher installed. Specify the MS Standard TCP\IP port with the printer IP address as the port of the printer. Every computer should connect to the printer via your server, e.g. \\ServerName\PrinterName.

Configure

1. TrueCafe main menu > View > Print Jobs: print a document on your printer and make sure that you see it in the list.

The documents are highlighted depending on the document's state: not charged document background is painted in grey, cancelled document font - in red.

2. Make sure that the value in the "Computer" column in the "Print Jobs" list meets the ip address or name or "computer name" of any of your terminals.

3. Specify page prices, TrueCafe main menu > Setup > Print billing:

Charge

When a customer prints on a printer that is being monitored by Printer Watcher, he/she is automatically charged for printing:

Printing confirmation

When this option is enabled, TrueCafe Client displayes the pages/charge information dialog when a customer prints a document. A customer can then accept or decline the printing.

Print firewall

Stop printing on any printer in your cyber cafe when not enough money left on a customer's balance.

When a customer sends a document to a printer, TrueCafe calculates the document pages/copies and amount charged. If the customer doesn't have enough amount on the balance, the printing is stopped and a warning message is displayed on the customer's terminal.


TrueCafe. Friendly Internet Cafe Software. Documentation. Web Access

Documentation

Web Access

Sell tickets and top-up customer accounts remotely from your web browser.

This is useful when you have an operator who sells tickets/tops up accounts from a separate computer (e.g. hotel reception) and doesn't have access to your TrueCafe Server computer.

TrueCafe Web Access must be installed on your TrueCafe Server computer. Use Web Access Windows Start menu shortcut to run Web Access. Copy the address to your remote computer and replace 127.0.0.1 in the address with your actual server IP address.

Click for full sized image
Full sized image

Club map

Setup the info display at your shop or cafe receiption so that an incoming customer can locate an available terminal himself.

Click the Edit link to change options and move the terminal icons on the map. Upload your club map layout picture.

Click for full sized image
Full sized image

Requirements

TrueCafe Web Access requires Microsoft .NET framework 2.0 or later installed. Web Access installs UltiDev Cassini Web Server which hosts Web Access application.

Download Microsoft .NET framework


TrueCafe. Friendly Internet Cafe Software. Documentation. Virtual Terminals

Documentation

Thin Clients. NComputing and Windows Terminal Server Support

You can setup TrueCafe on a thin client multi-session platform such as NComputing host (www.ncomputing.com) or Windows Terminal Server. In this case a number of user sessions run on a host computer simultaneously. Each session is considered by TrueCafe as a separate virtual terminal with TrueCafe Client running. TrueCafe Server can be installed on either the same shared computer or a detached one.

TrueCafe works well on NComputing, Windows Terminal Server, Elusiva, Sunde.

Setup

1. Install TrueCafe Server on a server computer. It can be your multi-session host computer.

2. Add virtual terminals (use main menu -> Terminals):

Name: it's up to you

IP address: IP address of your multi-session host computer. It should be the same for all virtual terminals.

User name: user name which is used to logon to the terminal ("Terminal client login name" for NComputing setup). You can see user names in Task Manager -> "Process List" tab (Show processes from all users) -> "User name" column.

3. Install TrueCafe Client on your host computer. Logon to the host computer under your administrative user account. Run TrueCafe setup and install TrueCafe Client. Restart the host computer. This will automatically start TrueCafe Client for any terminal user session then.

4. Login on your terminal (e.g. NComputing box). Press the "Options" button on TrueCafe Client login window. Enter a valid server IP address (IP address of the computer where TrueCafe Server is running, it could be the same multi-session host computer where TrueCafe Clients are installed).

5. Enter a TrueCafe user name and password to logon. You can use default adm/adm user name/password after the first installation.

NComputing setup samples

1. All-in-one

NComputing host is used for TrueCafe Server and Clients. Operator is working on the same host as customers do.

Use 127.0.0.1 or host IP (e.g. 192.168.1.1) for all IP options on the server and client sides.

Server side settings:

Client side settings:

2. Detached operator/server computer

A separate operator/server computer is used with TrueCafe Server installed. TrueCafe Client is installed on NComputing host.

Server side settings:

Client side settings:

Issues

Since TrueCafe Client auto-starts for each user on your thin client host, you may need to disable this for some users such as administrator. It can be accomplished by applying a special registry file which we send to our registered clients.


TrueCafe. Friendly Internet Cafe Software. Documentation. Wi-Fi Hotspot

Documentation

Wireless Billing

(Step-by-step simple Wi-Fi billing setup guide)

Introduction

Wireless billing allows you to charge the customers of your cafe, club, shop, hotel, etc. when they connect their laptops, PDAs or any other mobile devices to your access point (Wi-Fi hotspot) and use the Internet to surf the web, read emails or chat via an instant messenger.

When a customer first try to surf the web, TrueCafe detects the connection and redirects it to the TrueCafe Wi-Fi billing login page. The customer uses his or her login information (printed e.g. on a ticket you sell, on a receipt of your cafe, etc.) to start a session. When the balance is over, TrueCafe blocks any connection from the corresponding customer terminal.

In order to provide the wireless billing you have to install TrueCafe Server on your Internet gateway computer (Windows OS is only supported). The gateway handles all network connections from your customer terminals.

We recommend the following approach... There are 2 network cards (NICs) in your Internet gateway computer - NIC1 and NIC2. NIC1 is connected to the Internet (WAN) via xDSL/ADSL, Cable, etc. NIC2 is connected to your LAN: Wi-Fi access point, hub, switch, etc.

Use Windows Internet Connection Sharing feature in order to make a bridge between NIC1 and NIC2.

You can use direct Internet connections or proxy 8080 connections as well.

Setup

Setup Internet Connection Sharing between the network cards on your Internet gateway (server) computer. Your WAN-connected network card (NIC1) has IP address usually provided by your Internet Service Provider. Your LAN-connected network card (NIC2) obtains some internal IP address, most often 192.168.0.1.

Read more about how to setup Internet Connection Sharing

Your Wi-Fi access point uses DHCP to assign a dynamic IP to a customer's wireless laptop when it's connected. Access point gateway IP setting is your NIC2 IP address (192.168.0.1).

Please make sure that you have your wi-fi router NAT feature disabled. Otherwise all your wi-fi terminals IP addresses are translated into the single router IP address on the server side.

If you use a router in your LAN, it's gateway has to be your NIC2 IP address as well (192.168.0.1).

You don't have to add your wireless terminals on the TrueCafe server side manually. TrueCafe automatically adds a new terminal when a customer successfully logs in.

Use TrueCafe Wi-Fi options screen to select your NIC2 adapter and enable the Wi-Fi billing feature (main menu > Tools > Wi-Fi...):

Run!

When a customer comes to your cafe, shop, hotel, etc. and connects to your Wi-Fi access point, it assigns a new dynamic IP address to the customer's wireless laptop.

Then the customer tries to browse the web and since he or she hasn't been yet logged in, TrueCafe Server redirects him/her to the login page.

The customer logs in using a ticket purchased or a member account and then is able to surf the web.

On the TrueCafe server side you see that a new Wi-Fi terminal is added.

In order to view the session info such as the balance or time left in a web browser, the customer types your gateway computer name in the browser address bar (e.g. "gate" on the screenshot below).

The customer can log off from the session info page. You can also stop his session from the server side.

When the customer balance is over, TrueCafe automatically stops the customer session and blocks any connection from his wireless terminal.

Customize login page

If you have some HTML experience, you can customize your Wi-Fi login and session info pages. Edit the login.html and info.html files which are located in the TrueCafe\web folder.

Wi-Fi session timeout

Stop a Wi-Fi session automatically when it's inactive for a few minutes or a customer leaves your shop not logging out.

Wi-Fi white list

Specify wireless billing exceptions: website names or terminal IP/MAC addresses. For example, you can add your employees' laptops addresses here so that they have free access to the Internet. It makes sense to specify your network printers IP addresses as well so that wireless billing doesn't stop printing.

Proxy servers

You can use Wi-Fi billing with a proxy server. The following proxy ports are supported: 8080 and 3128.

Login page: your cafe logo

Replace the logo.gif file in the TrueCafe/web installation folder with your cafe logo.


TrueCafe. Friendly Internet Cafe Software. Documentation. Steam Support

Documentation

Valve Steam Support

TrueCafe supports Steam (Valve Corporation), which is a content distribution system often used by cyber cafes to play computer games:

Click for full sized image
Full sized image

More about Steam in Wikipedia

Setup

The most usual approach is to setup a separate Steam account for every game you provide for your customers in your Internet cafe.

Then you register your Steam accounts (login/password) in the TrueCafe CD-key management system and create a shortcut to your game on the TrueCafe Client program panel.

When a customer double clicks on a game shortcut, the CD-key management system takes an available Steam account from the stock and use it to start and login Steam.

More on the CD-Key management system

1. Add Steam Accounts

Open TrueCafe main menu > Setup > CD-keys and add your Steam accounts to the list in the following format:

login=steam_login password=steam_password

(login and password must not contain spaces)

Click for full sized image
Full sized image

2. Add Game Shortcut

Add your game to the corresponding application profie main menu > Setup > Terminals > Profiles tab. Specify the path to Steam.exe (it's usually C:\Program Files\Steam\Steam.exe) and select CD-Keys = Steam:

Click for full sized image
Full sized image

3. Start Game

When you start a customer session on the terminal, TrueCafe Client displays your Steam game shortcut. Double click on it to login to the Steam account:

Click for full sized image
Full sized image

Create Steam Game Shortcut

If you don't want to let your customers select a game from the list, you can use the applaunch Steam parameter in your Application > Path field to run a game directly. For example, use the following command to run Counter-Strike:

Steam.exe -applaunch 10

Read more on the Steam command-line parameters on the following page:

http://developer.valvesoftware.com/wiki/Steam_Command_Line_Options

...and get the list of Steam application IDs here:

http://developer.valvesoftware.com/wiki/Steam_Application_IDs


TrueCafe. Friendly Internet Cafe Software. Documentation. Bandwidth Management

Documentation

Bandwidth Management

You can specify some Internet bandwidth usage limit for every customer terminal. Depending on a pricing package, a bandwidth limit can be 64, 96, 128, etc. kbps or unlimited.

Bandwidth limit > Download bandwidth + Upload bandwidth

Requirements

In order to guarantee that the bandwidth management feature actually handles all your terminal connections, you have to setup TrueCafe Server on your Internet gateway computer

Unfortunately, bandwidth management won't work for thin clients such as NComputing, Windows Terminal Server, etc., since they share the same host IP address.

Setup

1. Open your pricing settings: main menu > Setup > Pricing and set bandwidth limit for your pricing packages.

2. Activate the bandwidth management system: main menu > Tools > Internet... > Bandwidth management


TrueCafe. Friendly Internet Cafe Software. Documentation. Game Consoles

Documentation

Game Console Billing
(XBox, Nintendo, Sony PlayStation)

TrueCafe supports billing of game consoles such as XBox, Nintendo, Sony PlayStation, etc.

The idea is to use X10 power devices such as Insteon or Easy PC Control. You install and connect such devices to your power line. Then you plug in your game console monitors to the X10 modules. You can turn on/off any X10 module from your server, which means a game console monitor turns on when a customer session is started and turns off when the session is stopped.

You can read more on X10 here:

X10 industry standard
Insteon

1. Install X10 modules

Setup X10 system in your cafe, plug in your game consoles monitors. Install X10 drivers on the server computer. Make sure that you can turn on/off any X10 (which means a console monitor) from the server.

Click for full sized image
Full sized image

2. Add game consoles to TrueCafe

Open TrueCafe main menu > Setup > Terminals. Add your game consoles to the list specifying X10 devices addresses (A1, A2, etc.) in the IP address field:

Click for full sized image
Full sized image

Click for full sized image
Full sized image

3. Specify turn on/off commands

Open TrueCafe main menu > Tools > Options > Script tab. Specify turn on/off scripts:

"C:\Program Files\AHSDK\bin\ahcmd.exe" sendrf terminal_ip_address on

"C:\Program Files\AHSDK\bin\ahcmd.exe" sendrf terminal_ip_address off

Click for full sized image
Full sized image

How this works

When you start a customer session on a game console icon on the server, TrueCafe replaces the terminal_ip_address command param with your X10 device address and runs e.g. the following command:

"C:\Program Files\AHSDK\bin\ahcmd.exe" sendrf A1 on

...which turns on the corresponding game console monitor.

Similarly, when you stop a session, the "turn off" command is executed.


TrueCafe. Friendly Internet Cafe Software. Documentation. Advertisement

Documentation

Advertisement

Display advertisement on your terminals on the TrueCafe Client background. An advertisement can be a web page or picture, e.g:

C:\temp\picture1.jpg (local path on the terminal computer)

http://www.website.com (don't forget to specify http://)

Use TrueCafe main menu > Setup > Advertisement to configure the ad list and display interval.


TrueCafe. Friendly Internet Cafe Software. Documentation. Database Cleanup

Documentation

Database Cleanup

Use the database cleanup to delete unused print log, CD-key reservation log or URL log records.

Delete inactive customers doesn't delete system customers such as annonymous or administrator. It doesn't also delete your cyber cafe operators.

Clear all sales data irrevocably deletes unused customers, sales, customer sessions, top-ups and shifts. Use this option in order to optimize your database.

This feature is only available for an administrative user.


TrueCafe. Friendly Internet Cafe Software. Documentation. Language Editor

Documentation

Language Editor

TrueCafe interface supports unlimited number of languages. You can translate TrueCafe into your own language.

TrueCafe stores language settings in the .tcl files (eng.tcl for English, ger.tcl for German, etc.), that are located in the lang subfolder. Those are text files that contain "key = value" pairs. You can easily edit the language files in any text editor.

Moremover, TrueCafe provides an integrated tool called Language Editor. It help you directly edit the language settings from the running program. Press Ctrl-F11 in either TrueCafe Administrator, Report or Client on any window to open the Language Editor. By default, Language Editor displays the text messages from the last active window, but you can switch it to the "show everything" mode. Edit the text and press "OK" to save the changes or "Cancel" to discard them.


TrueCafe. Friendly Internet Cafe Software. Documentation. Database Workshop

Documentation

Database Workshop

Use Database Workshop to update the TrueCafe database or make system backup/restore.

Before making backup/restore it is recommended to stop all TrueCafe applications and server, excluding TrueCafe Client. Backups are stored in the backup folder of TrueCafe data directory.

Backup schedule

Select the days of week and set the time when you want TrueCafe to make a backup of your database and settings automatically.


TrueCafe. Friendly Internet Cafe Software. Documentation. How to...

Documentation

How to...

General

How to contact TrueCafe team
How to purchase TrueCafe

Installation

How to setup TrueCafe
How to setup Wi-Fi billing

Client

How to lock a terminal
How to set server ip-address
How to set a background picture
How to utilize a dial-up connection (GPRS, etc.)

Terminals

How to setup TrueCafe on NComputing or Terminal Server platforms

How to arrange terminals
How to shutdown or restart a terminal
How to start an application on a terminal
How to disable TaskManger, hide Windows Desktop items, etc. on a terminal
How to configure the list of applications which a user can start on a terminal

Pricing

How to setup distinct pricing for each group of customers
How to setup a particular pricing
How to setup a terminal-dependent pricing
How to get pricing setup examples
How to set a default pricing for a customer
How to provide discounts

Customers

How to configure a customer account
How to top-up a customer balance
How to promote an account
How to configure user access
How to configure the list of programs a customer may start
How to scan customer's documents

Tickets

How to utilize pre-paid tickets (time codes)
How to distribute tickets among your agents/employees
How to create tickets
How to print tickets
How to sell tickets online
How to sell tickets offline
How to log in using a ticket
How to use a ticket to top-up a customer balance
How to delete and recover tickets
How to create tickets for only Wi-Fi or desktop terminals

Sessions

How to use pre-paid and post-paid sessions
How to start a session from a terminal
How to start a session from the server
How to monitor customer sessions
How to sell a product (drink, snack, etc.) during a session
How to stop a session from a terminal
How to stop a session from the server
How to close a session
How to pause/resume a session
How to make a refund
How to chat with a customer

Internet

How to calculate session Internet traffic/bandwidth
How to limit your terminals Internet bandwidth

Wi-Fi billing

How to add wi-fi billing exceptions so that some websites or terminals aren't blocked (white list)

Games

How to use license key management system
How to setup Valve Steam support

Print monitoring

How to automatically charge customers for printing
How to notify a customer about pages/charge information
How to block printing if not enough money left on a customer balance

Point of sale

How to make a walk-in (anonymous customer) sale
How to make a member sale
How to customize a receipt
How to control item available amount in the stock
How to use a barcode scanner to sale items

Power management

How shutdown idle or all terminals
How shutdown an idle terminal automatically
How turn on a terminal remotely

Backup

How to backup/restore TrueCafe database and system files
How to configure a backup schedule

Others

How to briefly view your cyber cafe daily activity and financial data
How to analyze your business data
How to use Web Reports
How to get reports by email
How to sell tickets and top-up customer accounts remotely from your web browser
How to clean up the database
How to translate TrueCafe into your own language


TrueCafe. Friendly Internet Cafe Software. Documentation. Internet Gateway

Documentation

Internet Gateway

In order to provide wireless billing, calculate traffic or enable URL log or bandwidth management features, you have to install TrueCafe Server on your Internet gateway computer (Microsoft Windows is only supported). The gateway handles all network connections from your customer terminals.

We recommend the following approach... There are 2 network cards (NICs) in your Internet gateway computer - NIC1 and NIC2. NIC1 is connected to the Internet (WAN) via xDSL/ADSL, Cable, etc. NIC2 is connected to your LAN: Wi-Fi access point, hub, switch, etc.

Use Windows Internet Connection Sharing feature in order to make a bridge between NIC1 and NIC2.

You can use direct Internet connections or proxy 8080 connections as well.

Setup

Setup Internet Connection Sharing between the network cards on your Internet gateway (server) computer. Your WAN-connected network card (NIC1) has IP address usually provided by your Internet Service Provider. Your LAN-connected network card (NIC2) obtains some internal IP address, most often 192.168.0.1.

Read more about how to setup Internet Connection Sharing

Your Wi-Fi access point uses DHCP to assign a dynamic IP to a customer's wireless laptop when it's connected. Access point gateway IP setting is your NIC2 IP address (192.168.0.1).

Please make sure that you have your wi-fi router NAT feature disabled. Otherwise all your wi-fi terminals IP addresses are translated into the single router IP address on the server side.

If you use a router in your LAN, it's gateway has to be your NIC2 IP address as well (192.168.0.1).


TrueCafe. Friendly Internet Cafe Software. Documentation. Wi-Fi Billing Setup

Documentation

Step-by-step Wireless Billing Setup

Windows 7 Wi-Fi billing setup

Introduction

This article demonstrates how to setup a very simple Wi-Fi billing approach. You need the following hardware:

1. A server computer which is connected to the Internet (e.g. via ADSL modem).

2. An extra LAN (Ethernet) card.

3. Wireless router (Linksys WRT54G, D-Link DIR-300, etc.)

The idea is to make your server computer your Internet gateway computer, which means the computer with TrueCafe Server installed is located between your ADSL router and Wi-Fi router:

Click for full sized image
Full sized image

1. Plug in extra Ethernet card

Plug in your extra Ethernet card into your server PCI slot and let Windows detects the card and install the corresponding network card driver.

In this example Local Area Connection 1 (NIC1) is a primary card connected to the ADSL modem and Local Area Connection 2 (NIC2) is an extra network card:

Click for full sized image
Full sized image

2. Enable Internet Connection Sharing

Open your NIC1 properties and enable Internet Connection Sharing. If you have more than 2 cards enabled, you have to select your NIC2 in the list:

Click for full sized image
Full sized image

Open your NIC2 properties and change default IP address and subnet mask to

IP address = 192.168.0.2

Subnet mask = 255.255.0.0

Click for full sized image
Full sized image

3. Setup Wi-Fi router

Connect your NIC2 with a cable to your router LAN port (not Internet port):

Click for full sized image
Full sized image

Set the router IP address = 192.168.0.3. Switch the router into Access Point mode. Disable router DHCP.

Read more on how to setup your router model:

Linksys router setup (WRT54GL)

D-Link router setup (DIR-300)

4. Connect Wi-Fi laptop

Connect your Wi-Fi laptop to your wireless network and make sure that you can surf the web.

5. Setup TrueCafe Server

Install TrueCafe on your server computer.

Open TrueCafe main menu > Tools > Internet..., select your NIC2 and enable the Wi-Fi billing option:

Click for full sized image
Full sized image

6. Login Wi-Fi laptop

Try opening any website from your Wi-Fi laptop and get TrueCafe login page. Type your customer/ticket login/password to start a session and continue browsing the web.


TrueCafe. Friendly Internet Cafe Software. Documentation. Setup D-Link DIR-300 Wireless Router

Documentation

Setup Linksys DIR-300 Wi-Fi Router

Login to your router control panel. Open Setup > LAN Setup, change your router IP address if needed and disable DHCP server:

Click for full sized image
Full sized image

The Internet options Setup > Internet Setup remain default:


TrueCafe. Friendly Internet Cafe Software. Documentation. Setup Linksys WRT54GL Wireless Router

Documentation

Setup Linksys WRT54GL Wi-Fi Router

Login to your router control panel. Open Setup > Basic Setup, change your router IP address if needed and disable DHCP server:

Click for full sized image
Full sized image

Open Setup > Advanced routing and set Operating mode = Gateway:


TrueCafe. Friendly Internet Cafe Software. Documentation. Wi-Fi Billing Setup on Windows 7

Documentation

Step-by-step Wireless Billing Setup

on Windows 7

Introduction

This article demonstrates how to setup a very simple Wi-Fi billing approach. You need the following hardware:

1. A server computer which is connected to the Internet (e.g. via ADSL modem).

2. An extra LAN (Ethernet) card.

3. Wireless router (Linksys WRT54G, D-Link DIR-300, etc.)

The idea is to make your server computer your Internet gateway computer, which means the computer with TrueCafe Server installed is located between your ADSL router and Wi-Fi router:

Click for full sized image
Full sized image

1. Plug in extra Ethernet card

Plug in your extra Ethernet card into your server PCI slot and let Windows detects the card and install the corresponding network card driver.

In this example Local Area Connection 1 (NIC1) is a primary card connected to the ADSL modem and Local Area Connection 2 (NIC2) is an extra network card:

Windows Control Panel > Network and Internet > Network and Sharing Center > Change adapter settings (on the left)

Click for full sized image
Full sized image

2. Enable Internet Connection Sharing

Open your NIC1 properties and enable Internet Connection Sharing.

Click for full sized image
Full sized image

Windows setup the following NIC2 properties:

IP address = 192.168.137.1

Subnet mask = 255.255.255.0

You should not change these values because Internet Connection Sharing may stop working.

3. Setup Wi-Fi router

Connect your NIC2 with a cable to your router LAN port (not Internet port):

Click for full sized image
Full sized image

Set the router IP address = 192.168.0.3. Switch the router into Access Point mode. Disable router DHCP.

Read more on how to setup your router model:

Linksys router setup (WRT54GL)

D-Link router setup (DIR-300)

4. Connect Wi-Fi laptop

Connect your Wi-Fi laptop to your wireless network and make sure that you can surf the web.

5. Setup TrueCafe Server

Install TrueCafe on your server computer.

Open TrueCafe main menu > Tools > Internet..., select your NIC2 and enable the Wi-Fi billing option:

Click for full sized image
Full sized image

6. Login Wi-Fi laptop

Try opening any website from your Wi-Fi laptop and get TrueCafe login page. Type your customer/ticket login/password to start a session and continue browsing the web.